Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.ogcwebservices.wfs.operation
Class AbstractWFSRequestDocument

    java.lang.Object
      org.deegree.framework.xml.XMLFragment
          org.deegree.ogcbase.OGCDocument
              org.deegree.ogcwebservices.wfs.operation.AbstractWFSRequestDocument

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  DescribeFeatureTypeDocument, GetFeatureDocument, LockFeatureDocument, LockFeatureResponseDocument, TransactionDocument, TransactionResponseDocument, WFSGetCapabilitiesDocument

    public class AbstractWFSRequestDocument

extends OGCDocument

Abstract base class for WFS request documents / parsers.

Version:
  $Revision: 18195 $, $Date: 2009-06-18 17:55:39 +0200 (Do, 18. Jun 2009) $
Author:
  Markus Schneider, last edited by: $Author: mschneider $
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.deegree.ogcbase.OGCDocument
`GMLNS`

Fields inherited from class org.deegree.framework.xml.XMLFragment
`DEFAULT_URL, nsContext, XLNNS`

Constructor Summary
`AbstractWFSRequestDocument()`

Method Summary
`protected void` | `checkServiceAttribute()` Checks that the "service" attribute in the root node matches the expected value (WFS).
`protected String` | `checkVersionAttribute()` Parses and checks the "version" attribute in the root node (can be "1.0.0" or "1.1.0").
`protected Map<String,String>` | `parseDRMParams(Element root)`
`protected QualifiedName[]` | `transformToQualifiedNames(String[] values, Element element)` Transform an array of strings to an array of qualified names.

Methods inherited from class org.deegree.ogcbase.OGCDocument
`parseCodeList, parseCodeListArray, parseExtendedPropertyPath, parseInterval, parseKeywords, parseKeywords, parseLonLatEnvelope, parseOnLineResource, parsePropertyPath, parseTimePeriod, parseTimePeriods, parseTimePositions, parseTimeSequence, parseTypedLiteral, parseValues`

Methods inherited from class org.deegree.framework.xml.XMLFragment
`getAsPrettyString, getAsString, getAttachedSchemas, getQualifiedName, getRootElement, getSystemId, hasSchema, load, load, load, parseQualifiedName, parseSimpleLink, prettyPrint, prettyPrint, resolve, setRootElement, setSystemId, setSystemId, toString, write, write, write, write`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AbstractWFSRequestDocument

    public AbstractWFSRequestDocument()

Method Detail

### checkServiceAttribute

    protected void checkServiceAttribute()
                                  throws InvalidParameterValueException,
                                         XMLParsingException

  Checks that the "service" attribute in the root node matches the expected value (WFS).

  Throws:
    `XMLParsingException`
    `InvalidParameterValueException`

### checkVersionAttribute

    protected String checkVersionAttribute()
                                    throws XMLParsingException,
                                           InvalidParameterValueException

  Parses and checks the "version" attribute in the root node (can be "1.0.0" or "1.1.0"). If it is not present, "1.1.0" is returned.

  Returns:
    version
  Throws:
    `XMLParsingException`
    `InvalidParameterValueException`

### transformToQualifiedNames

    protected QualifiedName[] transformToQualifiedNames(String[] values,
                                                        Element element)
                                                 throws XMLParsingException

  Transform an array of strings to an array of qualified names. TODO adapt style (parseXYZ)

  Parameters:
    `values` -
    `element` -
  Returns:
    QualifiedNames
  Throws:
    `XMLParsingException`

### parseDRMParams

    protected Map<String,String> parseDRMParams(Element root)
                                         throws XMLParsingException

  Throws:
    `XMLParsingException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org